<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Metodos anticonceptivos</title>
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 


                <p:growl id="msj"/>       
                <p:fieldset legend="Agregar metodo anticonceptivo">
                    <h:form id="datos">
                        <h:panelGrid columns="2">
                            <p:outputLabel value="Metodo anticonceptivo"/>
                            <p:inputText value="#{metodo_antiController.metodo_anti.metodo}"/>            

                            <div class="registrar"> 
                                <p:commandButton  rendered="#{metodo_antiController.metodo_anti.metodo==null}" value="Registrar" actionListener="#{metodo_antiController.insertar()}" update=":datos,:msj,:tabla"/>
                            </div>
                            <div class="actualizar"> 
                                <p:commandButton rendered="#{metodo_antiController.metodo_anti.metodo!=null}" value="Actualizar" actionListener="#{metodo_antiController.editar()}" update=":datos,:msj,:tabla"/>
                            </div> 
                            <p:commandButton  rendered="#{metodo_antiController.metodo_anti.metodo!=null}" value="Cancelar" actionListener="#{metodo_antiController.init()}" update=":datos,:msj,:tabla"/>

                            <p:commandButton value="consultar" actionListener="#{metodo_antiController.consultar()}" update=":tabla"/>

                        </h:panelGrid>
                    </h:form>
                </p:fieldset>
                <br></br>
                <p:fieldset legend="metodos anticonceptivos">
                    <h:form id="tabla">
                        <p:dataTable value="#{metodo_antiController.listaMetodo_anti}" var="m" paginator="true" rows="5">
                            <p:column headerText="Codigo">
                                <p:outputLabel value="#{m.id}"/>
                            </p:column>
                            <p:column headerText="Metodo">
                                <p:outputLabel value="#{m.metodo}"/>
                            </p:column>
                            <p:column headerText="Acciones">
                                <div class="eliminar"> 
                                    <p:commandButton value="Eliminar" actionListener="#{metodo_antiController.eliminar(m)}" update=":tabla,:msj"/>
                                </div>
                                <div class="editar"> 
                                    <p:commandButton value="Editar" actionListener="#{metodo_antiController.consultarById(m)}" update=":datos"/>
                                </div>
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:fieldset>

            </ui:define>
        </ui:composition>
    </h:body>
</html>

